#! /bin/sh
# Copyright (C) 1999, 2000, 2002, 2003 Red Hat, Inc.
# Written by Ulrich Drepper <drepper@redhat.com>, 1999.
#
# This program is Open Source software; you can redistribute it and/or
# modify it under the terms of the Open Software License version 1.0 as
# published by the Open Source Initiative.
#
# You should have received a copy of the Open Software License along
# with this program; if not, you may obtain a copy of the Open Software
# License version 1.0 from http://www.opensource.org/licenses/osl.php or
# by writing the Open Source Initiative c/o Lawrence Rosen, Esq.,
# 3001 King Ranch Road, Ukiah, CA 95482.
set -e

# Don't fail if we cannot decompress the file.
bunzip2 -c $srcdir/testfile.bz2 > testfile 2>/dev/null || exit 0

# Don't fail if we cannot decompress the file.
bunzip2 -c $srcdir/testfile2.bz2 > testfile2 2>/dev/null || exit 0

./show-abbrev testfile testfile2 > show-abbrev.out

diff -u show-abbrev.out - <<"EOF"
abbrev[0]: code = 1, tag = 17, children = 1
abbrev[0]: attr[0]: code = 16, form = 6
abbrev[0]: attr[1]: code = 18, form = 1
abbrev[0]: attr[2]: code = 17, form = 1
abbrev[0]: attr[3]: code = 3, form = 8
abbrev[0]: attr[4]: code = 27, form = 8
abbrev[0]: attr[5]: code = 37, form = 8
abbrev[0]: attr[6]: code = 19, form = 11
abbrev[19]: code = 2, tag = 46, children = 1
abbrev[19]: attr[0]: code = 1, form = 19
abbrev[19]: attr[1]: code = 63, form = 12
abbrev[19]: attr[2]: code = 3, form = 8
abbrev[19]: attr[3]: code = 58, form = 11
abbrev[19]: attr[4]: code = 59, form = 11
abbrev[19]: attr[5]: code = 39, form = 12
abbrev[19]: attr[6]: code = 73, form = 19
abbrev[19]: attr[7]: code = 17, form = 1
abbrev[19]: attr[8]: code = 18, form = 1
abbrev[19]: attr[9]: code = 64, form = 10
abbrev[44]: code = 3, tag = 46, children = 1
abbrev[44]: attr[0]: code = 1, form = 19
abbrev[44]: attr[1]: code = 63, form = 12
abbrev[44]: attr[2]: code = 3, form = 8
abbrev[44]: attr[3]: code = 58, form = 11
abbrev[44]: attr[4]: code = 59, form = 11
abbrev[44]: attr[5]: code = 73, form = 19
abbrev[44]: attr[6]: code = 60, form = 12
abbrev[63]: code = 4, tag = 24, children = 0
abbrev[68]: code = 5, tag = 46, children = 1
abbrev[68]: attr[0]: code = 63, form = 12
abbrev[68]: attr[1]: code = 3, form = 8
abbrev[68]: attr[2]: code = 58, form = 11
abbrev[68]: attr[3]: code = 59, form = 11
abbrev[68]: attr[4]: code = 73, form = 19
abbrev[68]: attr[5]: code = 60, form = 12
abbrev[85]: code = 6, tag = 36, children = 0
abbrev[85]: attr[0]: code = 3, form = 8
abbrev[85]: attr[1]: code = 11, form = 11
abbrev[85]: attr[2]: code = 62, form = 11
abbrev[96]: code = 7, tag = 52, children = 0
abbrev[96]: attr[0]: code = 3, form = 8
abbrev[96]: attr[1]: code = 58, form = 11
abbrev[96]: attr[2]: code = 59, form = 11
abbrev[96]: attr[3]: code = 73, form = 19
abbrev[96]: attr[4]: code = 63, form = 12
abbrev[96]: attr[5]: code = 2, form = 10
abbrev[0]: code = 1, tag = 17, children = 1
abbrev[0]: attr[0]: code = 16, form = 6
abbrev[0]: attr[1]: code = 18, form = 1
abbrev[0]: attr[2]: code = 17, form = 1
abbrev[0]: attr[3]: code = 3, form = 8
abbrev[0]: attr[4]: code = 27, form = 8
abbrev[0]: attr[5]: code = 37, form = 8
abbrev[0]: attr[6]: code = 19, form = 11
abbrev[19]: code = 2, tag = 46, children = 0
abbrev[19]: attr[0]: code = 63, form = 12
abbrev[19]: attr[1]: code = 3, form = 8
abbrev[19]: attr[2]: code = 58, form = 11
abbrev[19]: attr[3]: code = 59, form = 11
abbrev[19]: attr[4]: code = 39, form = 12
abbrev[19]: attr[5]: code = 73, form = 19
abbrev[19]: attr[6]: code = 17, form = 1
abbrev[19]: attr[7]: code = 18, form = 1
abbrev[19]: attr[8]: code = 64, form = 10
abbrev[42]: code = 3, tag = 36, children = 0
abbrev[42]: attr[0]: code = 3, form = 8
abbrev[42]: attr[1]: code = 11, form = 11
abbrev[42]: attr[2]: code = 62, form = 11
abbrev[53]: code = 4, tag = 22, children = 0
abbrev[53]: attr[0]: code = 3, form = 8
abbrev[53]: attr[1]: code = 58, form = 11
abbrev[53]: attr[2]: code = 59, form = 11
abbrev[53]: attr[3]: code = 73, form = 19
abbrev[66]: code = 5, tag = 15, children = 0
abbrev[66]: attr[0]: code = 11, form = 11
abbrev[73]: code = 6, tag = 15, children = 0
abbrev[73]: attr[0]: code = 11, form = 11
abbrev[73]: attr[1]: code = 73, form = 19
abbrev[82]: code = 7, tag = 19, children = 1
abbrev[82]: attr[0]: code = 1, form = 19
abbrev[82]: attr[1]: code = 11, form = 11
abbrev[82]: attr[2]: code = 58, form = 11
abbrev[82]: attr[3]: code = 59, form = 11
abbrev[95]: code = 8, tag = 13, children = 0
abbrev[95]: attr[0]: code = 3, form = 8
abbrev[95]: attr[1]: code = 58, form = 11
abbrev[95]: attr[2]: code = 59, form = 11
abbrev[95]: attr[3]: code = 73, form = 19
abbrev[95]: attr[4]: code = 56, form = 10
abbrev[110]: code = 9, tag = 1, children = 1
abbrev[110]: attr[0]: code = 1, form = 19
abbrev[110]: attr[1]: code = 73, form = 19
abbrev[119]: code = 10, tag = 33, children = 0
abbrev[119]: attr[0]: code = 73, form = 19
abbrev[119]: attr[1]: code = 47, form = 11
abbrev[128]: code = 11, tag = 19, children = 1
abbrev[128]: attr[0]: code = 1, form = 19
abbrev[128]: attr[1]: code = 3, form = 8
abbrev[128]: attr[2]: code = 11, form = 11
abbrev[128]: attr[3]: code = 58, form = 11
abbrev[128]: attr[4]: code = 59, form = 11
abbrev[143]: code = 12, tag = 19, children = 0
abbrev[143]: attr[0]: code = 3, form = 8
abbrev[143]: attr[1]: code = 60, form = 12
abbrev[152]: code = 13, tag = 13, children = 0
abbrev[152]: attr[0]: code = 3, form = 8
abbrev[152]: attr[1]: code = 58, form = 11
abbrev[152]: attr[2]: code = 59, form = 5
abbrev[152]: attr[3]: code = 73, form = 19
abbrev[152]: attr[4]: code = 56, form = 10
abbrev[167]: code = 14, tag = 22, children = 0
abbrev[167]: attr[0]: code = 3, form = 8
abbrev[167]: attr[1]: code = 58, form = 11
abbrev[167]: attr[2]: code = 59, form = 5
abbrev[167]: attr[3]: code = 73, form = 19
abbrev[180]: code = 15, tag = 23, children = 1
abbrev[180]: attr[0]: code = 1, form = 19
abbrev[180]: attr[1]: code = 11, form = 11
abbrev[180]: attr[2]: code = 58, form = 11
abbrev[180]: attr[3]: code = 59, form = 11
abbrev[193]: code = 16, tag = 13, children = 0
abbrev[193]: attr[0]: code = 3, form = 8
abbrev[193]: attr[1]: code = 58, form = 11
abbrev[193]: attr[2]: code = 59, form = 11
abbrev[193]: attr[3]: code = 73, form = 19
abbrev[206]: code = 17, tag = 4, children = 1
abbrev[206]: attr[0]: code = 1, form = 19
abbrev[206]: attr[1]: code = 11, form = 11
abbrev[206]: attr[2]: code = 58, form = 11
abbrev[206]: attr[3]: code = 59, form = 11
abbrev[219]: code = 18, tag = 40, children = 0
abbrev[219]: attr[0]: code = 3, form = 8
abbrev[219]: attr[1]: code = 28, form = 11
abbrev[228]: code = 19, tag = 38, children = 0
abbrev[228]: attr[0]: code = 73, form = 19
abbrev[235]: code = 20, tag = 21, children = 1
abbrev[235]: attr[0]: code = 1, form = 19
abbrev[235]: attr[1]: code = 39, form = 12
abbrev[235]: attr[2]: code = 73, form = 19
abbrev[246]: code = 21, tag = 5, children = 0
abbrev[246]: attr[0]: code = 73, form = 19
abbrev[253]: code = 22, tag = 21, children = 1
abbrev[253]: attr[0]: code = 1, form = 19
abbrev[253]: attr[1]: code = 39, form = 12
abbrev[262]: code = 23, tag = 33, children = 0
abbrev[262]: attr[0]: code = 73, form = 19
abbrev[262]: attr[1]: code = 47, form = 6
abbrev[271]: code = 24, tag = 22, children = 0
abbrev[271]: attr[0]: code = 3, form = 8
abbrev[271]: attr[1]: code = 58, form = 11
abbrev[271]: attr[2]: code = 59, form = 11
abbrev[282]: code = 25, tag = 4, children = 1
abbrev[282]: attr[0]: code = 1, form = 19
abbrev[282]: attr[1]: code = 3, form = 8
abbrev[282]: attr[2]: code = 11, form = 11
abbrev[282]: attr[3]: code = 58, form = 11
abbrev[282]: attr[4]: code = 59, form = 11
abbrev[0]: code = 1, tag = 17, children = 1
abbrev[0]: attr[0]: code = 16, form = 6
abbrev[0]: attr[1]: code = 18, form = 1
abbrev[0]: attr[2]: code = 17, form = 1
abbrev[0]: attr[3]: code = 3, form = 8
abbrev[0]: attr[4]: code = 27, form = 8
abbrev[0]: attr[5]: code = 37, form = 8
abbrev[0]: attr[6]: code = 19, form = 11
abbrev[19]: code = 2, tag = 46, children = 0
abbrev[19]: attr[0]: code = 63, form = 12
abbrev[19]: attr[1]: code = 3, form = 8
abbrev[19]: attr[2]: code = 58, form = 11
abbrev[19]: attr[3]: code = 59, form = 11
abbrev[19]: attr[4]: code = 39, form = 12
abbrev[19]: attr[5]: code = 73, form = 19
abbrev[19]: attr[6]: code = 17, form = 1
abbrev[19]: attr[7]: code = 18, form = 1
abbrev[19]: attr[8]: code = 64, form = 10
abbrev[42]: code = 3, tag = 36, children = 0
abbrev[42]: attr[0]: code = 3, form = 8
abbrev[42]: attr[1]: code = 11, form = 11
abbrev[42]: attr[2]: code = 62, form = 11
abbrev[0]: code = 1, tag = 17, children = 1
abbrev[0]: attr[0]: code = 16, form = 6
abbrev[0]: attr[1]: code = 18, form = 1
abbrev[0]: attr[2]: code = 17, form = 1
abbrev[0]: attr[3]: code = 3, form = 8
abbrev[0]: attr[4]: code = 27, form = 8
abbrev[0]: attr[5]: code = 37, form = 8
abbrev[0]: attr[6]: code = 19, form = 11
abbrev[19]: code = 2, tag = 46, children = 0
abbrev[19]: attr[0]: code = 63, form = 12
abbrev[19]: attr[1]: code = 3, form = 8
abbrev[19]: attr[2]: code = 58, form = 11
abbrev[19]: attr[3]: code = 59, form = 11
abbrev[19]: attr[4]: code = 39, form = 12
abbrev[19]: attr[5]: code = 73, form = 19
abbrev[19]: attr[6]: code = 17, form = 1
abbrev[19]: attr[7]: code = 18, form = 1
abbrev[19]: attr[8]: code = 64, form = 10
abbrev[42]: code = 3, tag = 36, children = 0
abbrev[42]: attr[0]: code = 3, form = 8
abbrev[42]: attr[1]: code = 11, form = 11
abbrev[42]: attr[2]: code = 62, form = 11
abbrev[53]: code = 4, tag = 22, children = 0
abbrev[53]: attr[0]: code = 3, form = 8
abbrev[53]: attr[1]: code = 58, form = 11
abbrev[53]: attr[2]: code = 59, form = 11
abbrev[53]: attr[3]: code = 73, form = 19
abbrev[66]: code = 5, tag = 1, children = 1
abbrev[66]: attr[0]: code = 1, form = 19
abbrev[66]: attr[1]: code = 3, form = 8
abbrev[66]: attr[2]: code = 73, form = 19
abbrev[77]: code = 6, tag = 33, children = 0
abbrev[77]: attr[0]: code = 73, form = 19
abbrev[77]: attr[1]: code = 47, form = 11
abbrev[86]: code = 7, tag = 19, children = 1
abbrev[86]: attr[0]: code = 1, form = 19
abbrev[86]: attr[1]: code = 3, form = 8
abbrev[86]: attr[2]: code = 11, form = 11
abbrev[86]: attr[3]: code = 58, form = 11
abbrev[86]: attr[4]: code = 59, form = 11
abbrev[101]: code = 8, tag = 13, children = 0
abbrev[101]: attr[0]: code = 3, form = 8
abbrev[101]: attr[1]: code = 58, form = 11
abbrev[101]: attr[2]: code = 59, form = 11
abbrev[101]: attr[3]: code = 73, form = 19
abbrev[101]: attr[4]: code = 56, form = 10
abbrev[116]: code = 9, tag = 15, children = 0
abbrev[116]: attr[0]: code = 11, form = 11
abbrev[123]: code = 10, tag = 15, children = 0
abbrev[123]: attr[0]: code = 11, form = 11
abbrev[123]: attr[1]: code = 73, form = 19
abbrev[132]: code = 11, tag = 19, children = 1
abbrev[132]: attr[0]: code = 1, form = 19
abbrev[132]: attr[1]: code = 11, form = 11
abbrev[132]: attr[2]: code = 58, form = 11
abbrev[132]: attr[3]: code = 59, form = 11
abbrev[145]: code = 12, tag = 1, children = 1
abbrev[145]: attr[0]: code = 1, form = 19
abbrev[145]: attr[1]: code = 73, form = 19
abbrev[154]: code = 13, tag = 22, children = 0
abbrev[154]: attr[0]: code = 3, form = 8
abbrev[154]: attr[1]: code = 58, form = 11
abbrev[154]: attr[2]: code = 59, form = 5
abbrev[154]: attr[3]: code = 73, form = 19
abbrev[167]: code = 14, tag = 19, children = 0
abbrev[167]: attr[0]: code = 3, form = 8
abbrev[167]: attr[1]: code = 60, form = 12
abbrev[176]: code = 15, tag = 22, children = 0
abbrev[176]: attr[0]: code = 3, form = 8
abbrev[176]: attr[1]: code = 58, form = 11
abbrev[176]: attr[2]: code = 59, form = 11
abbrev[187]: code = 16, tag = 21, children = 1
abbrev[187]: attr[0]: code = 1, form = 19
abbrev[187]: attr[1]: code = 39, form = 12
abbrev[187]: attr[2]: code = 73, form = 19
abbrev[198]: code = 17, tag = 5, children = 0
abbrev[198]: attr[0]: code = 73, form = 19
abbrev[205]: code = 18, tag = 38, children = 0
abbrev[205]: attr[0]: code = 73, form = 19
abbrev[0]: code = 1, tag = 17, children = 1
abbrev[0]: attr[0]: code = 16, form = 6
abbrev[0]: attr[1]: code = 18, form = 1
abbrev[0]: attr[2]: code = 17, form = 1
abbrev[0]: attr[3]: code = 3, form = 8
abbrev[0]: attr[4]: code = 27, form = 8
abbrev[0]: attr[5]: code = 37, form = 8
abbrev[0]: attr[6]: code = 19, form = 11
abbrev[19]: code = 2, tag = 46, children = 0
abbrev[19]: attr[0]: code = 63, form = 12
abbrev[19]: attr[1]: code = 3, form = 8
abbrev[19]: attr[2]: code = 58, form = 11
abbrev[19]: attr[3]: code = 59, form = 11
abbrev[19]: attr[4]: code = 39, form = 12
abbrev[19]: attr[5]: code = 73, form = 19
abbrev[19]: attr[6]: code = 17, form = 1
abbrev[19]: attr[7]: code = 18, form = 1
abbrev[19]: attr[8]: code = 64, form = 10
abbrev[42]: code = 3, tag = 36, children = 0
abbrev[42]: attr[0]: code = 3, form = 8
abbrev[42]: attr[1]: code = 11, form = 11
abbrev[42]: attr[2]: code = 62, form = 11
abbrev[0]: code = 1, tag = 17, children = 1
abbrev[0]: attr[0]: code = 16, form = 6
abbrev[0]: attr[1]: code = 18, form = 1
abbrev[0]: attr[2]: code = 17, form = 1
abbrev[0]: attr[3]: code = 3, form = 8
abbrev[0]: attr[4]: code = 27, form = 8
abbrev[0]: attr[5]: code = 37, form = 8
abbrev[0]: attr[6]: code = 19, form = 11
abbrev[19]: code = 2, tag = 46, children = 1
abbrev[19]: attr[0]: code = 1, form = 19
abbrev[19]: attr[1]: code = 63, form = 12
abbrev[19]: attr[2]: code = 3, form = 8
abbrev[19]: attr[3]: code = 58, form = 11
abbrev[19]: attr[4]: code = 59, form = 11
abbrev[19]: attr[5]: code = 39, form = 12
abbrev[19]: attr[6]: code = 73, form = 19
abbrev[19]: attr[7]: code = 17, form = 1
abbrev[19]: attr[8]: code = 18, form = 1
abbrev[19]: attr[9]: code = 64, form = 10
abbrev[44]: code = 3, tag = 46, children = 1
abbrev[44]: attr[0]: code = 1, form = 19
abbrev[44]: attr[1]: code = 63, form = 12
abbrev[44]: attr[2]: code = 3, form = 8
abbrev[44]: attr[3]: code = 58, form = 11
abbrev[44]: attr[4]: code = 59, form = 11
abbrev[44]: attr[5]: code = 73, form = 19
abbrev[44]: attr[6]: code = 60, form = 12
abbrev[63]: code = 4, tag = 24, children = 0
abbrev[68]: code = 5, tag = 46, children = 1
abbrev[68]: attr[0]: code = 63, form = 12
abbrev[68]: attr[1]: code = 3, form = 8
abbrev[68]: attr[2]: code = 58, form = 11
abbrev[68]: attr[3]: code = 59, form = 11
abbrev[68]: attr[4]: code = 73, form = 19
abbrev[68]: attr[5]: code = 60, form = 12
abbrev[85]: code = 6, tag = 36, children = 0
abbrev[85]: attr[0]: code = 3, form = 8
abbrev[85]: attr[1]: code = 11, form = 11
abbrev[85]: attr[2]: code = 62, form = 11
abbrev[96]: code = 7, tag = 52, children = 0
abbrev[96]: attr[0]: code = 3, form = 8
abbrev[96]: attr[1]: code = 58, form = 11
abbrev[96]: attr[2]: code = 59, form = 11
abbrev[96]: attr[3]: code = 73, form = 19
abbrev[96]: attr[4]: code = 63, form = 12
abbrev[96]: attr[5]: code = 2, form = 10
EOF

rm -f testfile testfile2 show-abbrev.out

exit 0
